Subject: [Ltru] RE: [newsml-2] japanese scripts (was: person/name given and family elements)

From: Misha Wolf <[email-masked]>
Date: Fri, 10 Feb 2006 17:47:02 +0000

Yes.  I imagine that the new RFC will be approved before NewsML 2 is finalised.
 
Misha

________________________________

From: [email-masked] [mailto:[email-masked]] On Behalf Of Laurent Le Meur
Sent: 10 February 2006 17:37
To: [email-masked]
Cc: [email-masked]
Subject: RE: [newsml-2] japanese scripts (was: person/name given and family elements)

Therefore your proposal is to explicitly and provisionally allow for xml:lang="jp-Hani", isn't it? 

Laurent

________________________________

De : [email-masked] [mailto:[email-masked]] De la part de Misha Wolf
Envoyé : vendredi 10 février 2006 18:21
À : [email-masked]
Cc : [email-masked]
Objet : RE: [newsml-2] japanese scripts (was: person/name given and family elements)

It would be a bad idea to introduce a "script" attribute now, just before draft-ietf-ltru-registry [1] becomes an RFC, replacing RFC 3066.

[1] http://ietfreport.isoc.org/idref/draft-ietf-ltru-registry/ 

Misha

________________________________

From: [email-masked] [mailto:[email-masked]] On Behalf Of Laurent Le Meur
Sent: 10 February 2006 11:33
To: [email-masked]
Subject: RE: [newsml-2] japanese scripts (was: person/name given and family elements)

Takahiro, 

The xml:lang attribute can take values indicating a script: it is the case for zh-Hans and zh-Hant (Traditional vs. Simplified Chinese), isn't it?

I see that it is not currently used for Japanese scripts (kanji, katagana, hiragana).

I spotted:

http://www.w3.org/International/articles/language-tags/ 

"There is a need, sometimes, to distinguish the script used, in addition to the language. For example, Mongolian might be written in Mongolian script or Cyrillic; Croatian might be written in Latin or Cyrillic; ..."

Then http://www.inter-locale.com/ID/draft-ietf-ltru-registry-13.html#script 

"Script subtags are used to indicate the script or writing system variations that distinguish the written forms of a language or its dialects. The following rules apply to the script subtags: "

Then http://www.unicode.org/iso15924/iso15924-codes.html 

And found the tokens found in HR-ML samples 

- Hani (for Kanji)

- Kana (Katakana)

- Hrkt (alias for Hiragana + Katakana)

My question: Can't we already express script with xml:lang="jp-Hani" ?

(I imagine that it would not be RFC3066 compliant any more).

If not, should we then create a specific attribute, as a sibling of xml:lang, in all elements supporting strings, that will be deprecated when the replacement of RFC3066 is standardized? If so, why are we the only group looking at this problem?

Laurent

________________________________

De : [email-masked] [mailto:[email-masked]] De la part de Takahiro FUJIWARA
Envoyé : lundi 16 janvier 2006 01:20
À : [email-masked]
Objet : Re: [newsml-2] FW: person/name given and family elements

I would explain from the view of Japanese people.

> With Japanese comes another factor: two scripts for one language.

Yes! this is the thing what I want to say.

   We always need two scripts in the application form such as resident registration, curriculum vitae(résumé), application form when the online shopping...

   One is for the formal printable name.  The other one is for the pronunciation.  There is many ways to write a pronunciation such as Hiragana, Katakana, multiple-romanisations.  But there is needed only one pronunciation in one application form because we can convert to another.  This pronunciation is also used for the name list with order by pronunciation.  Japanese people do not use order by Alphabetical nor order by Kanji.

Takahiro Fujiwara

________________________________

-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- 

This e-mail, and any file transmitted with it, is confidential and intended solely for the use of the individ ual or entity to whom it is addressed. If you have received this email in error, please contact the sende r and delete the email from your system. If you are not the named addressee you should not disseminate, distr ibute or copy this email. 

For more information on Agence France-Presse, please visit our web site at http://www.afp.com 

-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- 

To find out more about Reuters visit www.about.reuters.com

Any views expressed in this message are those of the individual sender, except where the sender specifically states them to be the views of Reuters Ltd.

-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- 

This e-mail, and any file transmitted with it, is confidential and intended solely for the use of the individ ual or entity to whom it is addressed. If you have received this email in error, please contact the sende r and delete the email from your system. If you are not the named addressee you should not disseminate, distr ibute or copy this email. 

For more information on Agence France-Presse, please visit our web site at http://www.afp.com 

-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- 

SPONSORED LINKS 
Computer security <http://groups.yahoo.com/gads?t=ms&k=Computer+security&w1=Computer+security&w2=Computer+training&w3=Large+format&w4=Cover+letter+formats&c=4&s=90&.sig=FssU_qCgLQyiCpbxAtSmDQ>  	Computer training <http://groups.yahoo.com/gads?t=ms&k=Computer+training&w1=Computer+security&w2=Computer+training&w3=Large+format&w4=Cover+letter+formats&c=4&s=90&.sig=lRpUyAR-k0G7Rv1kDXuz3A>  	Large format <http://groups.yahoo.com/gads?t=ms&k=Large+format&w1=Computer+security&w2=Computer+training&w3=Large+format&w4=Cover+letter+formats&c=4&s=90&.sig=Dvs07Mg6jU0nwv_JCszaXQ>  	
Cover letter formats <http://groups.yahoo.com/gads?t=ms&k=Cover+letter+formats&w1=Computer+security&w2=Computer+training&w3=Large+format&w4=Cover+letter+formats&c=4&s=90&.sig=v50vMeun6-6D4BwDHYiImA>  	

________________________________

YAHOO! GROUPS LINKS 

*	 Visit your group "newsml-2 <http://groups.yahoo.com/group/newsml-2> " on the web.
	  
*	 To unsubscribe from this group, send an email to:
	 [email-masked] <mailto:[email-masked]?subject=Unsubscribe> 
	  
*	 Your use of Yahoo! Groups is subject to the Yahoo! Terms of Service <http://docs.yahoo.com/info/terms/> . 

________________________________

To find out more about Reuters visit www.about.reuters.com

Any views expressed in this message are those of the individual sender, except where the sender specifically states them to be the views of Reuters Ltd.

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Doug Ewell" <[email-masked]>
Date: Sun, 12 Feb 2006 10:47:18 -0800

Martin Duerst <duerst at it dot aoyama dot ac dot jp> wrote:

> Regarding a script subtag for the Japanese Kanji/Kana mixture, my
> personal oppinion would be to just leave the script subtag out. If a
> tag "Japn" existed, the only real purpose for it would be to change
>
> %%
> Type: language
> Subtag: ja
> Description: Japanese
> Added: 2005-10-16
> %%
>
> to
>
> %%
> Type: language
> Subtag: ja
> Description: Japanese
> Added: 2005-10-16
> Suppress-Script: Japn
> %%

Note that the tag originally present in draft copies of ISO 15924, and 
subsequently removed, and now suggested to be re-added, is Jpan, not 
Japn.

> So there is really absolutely no point to add such a tag to actual
> data, and only a limited benefit (formal completeness and consistency
> of the registry) for introducing such a script tag (at least from the
> point of view of RFC3066bis; there may be other needs for "Japn").

Formal completeness and consistency are good things.  I support this 
request.  Japanese is the only language I can think of that is 
customarily written in a writing system that cannot be represented by a 
single ISO 15924 code element, and consequently cannot be represented in 
an RFC 3066bis tag.  It's already been established that situations may 
arise where it is desirable to explicitly include the Suppress-Script in 
a tag.

> Given that, we could actually add "Japn" as a script all by our own,
> just for that specific purpose (or at least we could propose to do so
> in case another attempt to add it to the ISO script standard fails).

No, we can NOT do that.  Please read Section 3.5 of draft-registry 
again: "Only subtags of type 'language' and 'variant' will be considered 
for independent registration of new subtags."  I fear this point has 
been lost on a great many people.

--
Doug Ewell
Fullerton, California, USA
http://users.adelphia.net/~dewell/